ant-ivy-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Archie Cobbs <arc...@dellroad.org>
Subject IvyDE and packager resolver
Date Fri, 28 Dec 2012 22:47:01 GMT
I'm new to Eclipse and trying to get IvyDE working with Ivy's packager
resolver. It doesn't seem to be working.

IvyDE is unable to download artifacts for some reason, but the Ivy console
doesn't show any explanation for the error except "null".

Everything is fine (ivy.xml files are downloaded OK, etc.) until we get
here...

:: downloading artifacts ::
         trying
http://ivyroundup.googlecode.com/svn/trunk/repo/modules/com.google.guava/guava/13.0/packager.xml
                tried
http://ivyroundup.googlecode.com/svn/trunk/repo/modules/com.google.guava/guava/13.0/packager.xml
WARN:   [FAILED     ] com.google.guava#guava;13.0!guava.jar: null (116ms)
         trying
http://ivyroundup.googlecode.com/svn/trunk/repo/modules/com.google.guava/guava/13.0/packager.xml
                tried
http://ivyroundup.googlecode.com/svn/trunk/repo/modules/com.google.guava/guava/13.0/packager.xml
WARN:   [FAILED     ] com.google.guava#guava;13.0!guava.zip(javadoc): null
(54ms)
         trying
http://ivyroundup.googlecode.com/svn/trunk/repo/modules/com.google.guava/guava/13.0/packager.xml
                tried
http://ivyroundup.googlecode.com/svn/trunk/repo/modules/com.google.guava/guava/13.0/packager.xml
WARN:   [FAILED     ] com.google.guava#guava;13.0!guava.zip(source): null
(54ms)
         trying
http://ivyroundup.googlecode.com/svn/ndup.googlecode.com/svn/trunk/repo/modules/com.google.guava/guava/13.0/packager.xml
WARN:   [FAILED     ] com.google.guava#guava;13.0!jsr305.jar: null (55ms)
WARN:   [FAILED     ] com.google.guava#guava;13.0!guava.jar: null (116ms)
WARN: ==== ivyroundup-http: tried
WARN:
http://ivyroundup.googlecode.com/svn/trunk/repo/modules/com.google.guava/guava/13.0/packager.xml
WARN:   [FAILED     ] com.google.guava#guava;13.0!guava.zip(javadoc): null
(54ms)
WARN: ==== ivyroundup-http: tried
WARN:
http://ivyroundup.googlecode.com/svn/trunk/repo/modules/com.google.guava/guava/13.0/packager.xml
WARN:   [FAILED     ] com.google.guava#guava;13.0!guava.zip(source): null
(54ms)
WARN: ==== ivyroundup-http: tried
WARN:
http://ivyroundup.googlecode.com/svn/trunk/repo/modules/com.google.guava/guava/13.0/packager.xml
WARN:   [FAILED     ] com.google.guava#guava;13.0!jsr305.jar: null (55ms)
WARN: ==== ivyroundup-http: tried
WARN:
http://ivyroundup.googlecode.com/svn/trunk/repo/modules/com.google.guava/guava/13.0/packager.xml
...

However, the packager.xml file is there and can be downloaded manually.

Does IvyDE support the packager resolver?

Eclipse bulid ID: 20121004-1855
IvyDE version: 2.2.0.beta1-201203282058-RELEASE

Thanks,
-Archie

-- 
Archie L. Cobbs

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message